Image metadata display should be optional
Closed, DeclinedPublic

Description

Non-tech users are complaining that image metadata information is unwanted,
cryptic and should be deactivated. Some geeks rather like to have it (including
yours truly).
Obviously the solution would be to have a user option to show metadata, and
default it to off. And/or have a link to display it when someone's interested
[or if it's selectable and was switched off].


Version: 1.4.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3439.
grin created this task.Via LegacySep 12 2005, 9:47 AM
Thryduulf added a comment.Via ConduitSep 12 2005, 11:02 PM

I think that the metadata should by default display only the basic information
(e.g. Camera make, camera model, date and time photo was taken), with a link to
"Show full metadata" or "Show full exif data" (or words to that effect). Showing
the full metadata by default should be a setting a user can select in their
preferences. This would please both the "metadata is very useful" and "what is
this metadata stuff and why do we have to have it?" camps (I'm firmly in the
former).

Chris

bzimport added a comment.Via ConduitSep 13 2005, 4:32 AM

finji wrote:

The box is floating horribly und bumps togehter with other boxes like the
licences. So either the CSS is adopted to reflect a more prettier pagedesign or
let the user decide what he wants to see: nothing, basic, all.

bzimport added a comment.Via ConduitSep 16 2005, 9:43 AM

sanbec wrote:

I think is better to put a link to the metadata info. If you want to see the
metadata, click the link. It's easier than to change your preferences.

bzimport added a comment.Via ConduitSep 16 2005, 9:37 PM

plugwash wrote:

presonally i'd put an extra link in with the view/revert links for each revision
for viewing metadata, it would be very usefull to be able to view metadata for
past versions of the image and putting the metadata directly in the page gives
it too much precendence given that its not generally a very reliable source of info.

bzimport added a comment.Via ConduitSep 20 2005, 9:46 AM

wikipedia wrote:

The floating is sub-optimal...

bzimport added a comment.Via ConduitSep 26 2005, 1:50 PM

christian.kaul wrote:

With IE 6 (not with Opera 7.x), the licence box and the metadata box are over each
other, it looks terrible.

brion added a comment.Via ConduitSep 26 2005, 7:30 PM

Well, this is why I changed it from a floating box to a non-floating one. Avar
insisted on changing it back to the floating box, which as we can see is indeed
somewhat problematic.

Strongly recommend changing back to a non-floating table.

Thryduulf added a comment.Via ConduitSep 28 2005, 6:33 PM

I don't think the metadata table should be displayed when viewing diffs - see
http://commons.wikimedia.org/w/index.php?title=Image:Wikimeet-London4-Thryduulf-07.jpg&curid=342890&diff=789101&oldid=786285
for an example of the mess it causes.

bzimport added a comment.Via ConduitOct 28 2005, 4:59 AM

wiki.bugzilla wrote:

An additional simple workaround for the current problems would be to eliminate all
unessential layout attributes from the license templates forcefully.

Even though many users seem to prefer stuff like width:80% (or 100%) or clear:both
at the beginning, that only causes "waste of space" and unsightly floating
(independent of the browser type), I strongly recommend a non-floating table
combined with the removal of needless attributes from all of the image templates.

Of course, I've noticed, that several previous attempts to do so, were changed back
before long on different projects, regardless of which user requested or did the change.

Anyway, pre-formatted texts, that are still quite common on some, especially older
image description pages, will presumably stay as a problem for floating elements.

An option within Special:Preferences to show or to hide metadata would also be nice,
but default should definitely be "show". It's an issue of transparency.

bzimport added a comment.Via ConduitOct 28 2005, 3:31 PM

mikael79 wrote:

The major issue is not the clash between the license templates and the metadata,
but - as Chris mentions above - the clash between the metadata and the diff's,
which causes them both to be completely and utterly unreadable. Are there any
workaround somewhere (.css?) to force the metadata downwards, below the area
where the diff is shown? Or even to supress the metadata completely while
watching a diff?

bzimport added a comment.Via ConduitNov 5 2005, 7:40 PM

fastfission wrote:

Aside from the graphical problems, they often at times obscure the reading of image captions and copyright tagging. Considering
this data is useful to a limited audience anyway, and of questionable accuracy (http://bugzilla.wikimedia.org/show_bug.cgi?
id=3402), perhaps as a default it should not be shown at all.

bzimport added a comment.Via ConduitNov 25 2005, 3:03 PM

Eugene.Zelenko wrote:

*** Bug 4077 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitNov 25 2005, 3:08 PM

zocky wrote:

The problems with overlapping metadata and licence boxes should be solved by the
{{image-license}} metatemplate, which leaves enough space on the right for
metadata (plus makes license info machine-readable). AFAIK, licenses which have
been standardized with the metatemplate (see its talk page:
http://en.wikipedia.org/wiki/Template_talk:Image-license) don't have the
overlapping problem.

brion added a comment.Via ConduitNov 25 2005, 8:10 PM

Disabling display would be pointless; rather, the crappy display needs to be fixed.

Thryduulf added a comment.Via ConduitNov 25 2005, 8:26 PM

_Why_ would disabling the display be pointless?
I agree that the display needs to be fixed, but as has been pointed out above an
everywhere else it has been discussed not everybody wants to see the metadata -
it is confusing for many people. Those who want to see it should be able to see
it, those who don't shouldn't have to. Its a bit like showing or hiding your own
edits your watchlist, some people prefer it either way (or even both ways - I
show them on en.wp but hide them on commons).

Unless the metadata takes up no more screen estate than a standard license
template or appears below the category lines then it cannot be said to not be
getting in the way of people who don't want to see it. If it is below the
category line then I image that this could be frustrating for those who want to
see it regularly. My only thoughts regarding this are to make it optionally
displayed in software and then placeable with CSS. Perhaps having the metadata
appear in a popup like the [[w:en:Wikipedia:Tools/Navigation popups]] would be
an option.

brion added a comment.Via ConduitNov 25 2005, 9:23 PM

If it confuses you you don't have to read it. It's down at the bottom, out of the way.

Thryduulf added a comment.Via ConduitNov 25 2005, 10:11 PM

Except it isn't out of the way - see [[commons:Image:Royal Border Bridge
2005-03-05 02.jpg]] for example.

brion added a comment.Via ConduitNov 25 2005, 10:16 PM

That's why the display has to be fixed.

bzimport added a comment.Via ConduitNov 26 2005, 5:42 AM

Eugene.Zelenko wrote:

I don't understand why usefulness of metadata for particular user is decided by
programmers, not user him/herself?

If nobody have time to implement option, it's OK, but closing this report with
wontfix? It's strange...

I could suggest to leave this report open until somebody will implement solution.

bzimport added a comment.Via ConduitNov 26 2005, 2:26 PM

Brianna wrote:

SOMETHING has to be done about this. There has to be an option to not include
metadata at all. Take for example this image:
http://commons.wikimedia.org/wiki/Image:Australian_beer_production_1945.jpg

The metadata is flat-out WRONG, or at the very least misleading. It is not
describing the image, which was taken in 1945, but some digital copy that was
made of it later. It should be removed.

I'm sorry, I don't know much about bugzilla but I think this bug should be
re-opened.

brion added a comment.Via ConduitNov 26 2005, 6:56 PM

Re comment 19: I'm closing this report with WONTFIX because it won't be implemented.
That's what WONTFIX means.

Re comment 20: If the metadata is WRONG, you should NOT PUT IT IN. However there is
nothing obviously wrong with that metadata on that image. If it accurately describes the
file, or the scan, then that's correct.

Denniss added a comment.Via ConduitNov 27 2005, 2:10 AM

What's the problem with replacing the metadata display with a link called View
Metadata to open in a new window ?
Won't it even reduce the server load a little ?

This "feature" is really annoying because you can't disable it, in most cases
you don't want/need this info. In the rare cases you want/need this info you are
able to click on a link to view this info.

It's nice to see many users complain about the new "feature" introduced by some
of the programmers, the way to cure the problems they created is to fix all
other stuff affected except the origin, the buggy Metadata display.

bzimport added a comment.Via ConduitNov 27 2005, 1:34 PM

mikael79 wrote:

So Brion, regarding comment 21, we should open a new bug to get the collision
between the metadata box and the diff box resolved? Because as it is now,
there's no way one can read parts of the right-hand side of the diff display.
And this cannot - I presume - be fixed by changing some templates, right?

brion added a comment.Via ConduitNov 27 2005, 9:37 PM

Yes, if there's not already one (bug 2111 may be relevant for what some are asking).

However you could also adjust the site stylesheet.

brion added a comment.Via ConduitNov 28 2005, 8:21 AM

I've been working on restructuring the metadata section; current state of the work is
visible here:
http://test.leuksman.com/view/Image:Go_into_the_light.jpg#metadata

Thryduulf added a comment.Via ConduitNov 28 2005, 11:02 AM

That looks much better. I'd be tempted to link F number to the wikipedia
article, as its the only entry in the basic without a name that makes it
intuitive as to what it means.
Also, if it is possible, the shutter speed should be reported as a fraction
rather than as a recurring decimal.

brion added a comment.Via ConduitNov 29 2005, 9:18 AM

Incidentally, you'll be able now to change the f-number formatting a bit
via [[MediaWiki:Exif-fnumber-format]]. (You can also change all the labels;
[[MediaWiki:Exif-fnumber]] for that one.)

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:58 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment